# ctjt_flutter

A new Flutter project.

## Getting Started

This project is a starting point for a Flutter application.

A few resources to get you started if this is your first Flutter project:

- [Lab: Write your first Flutter app](https://flutter.dev/docs/get-started/codelab)
- [Cookbook: Useful Flutter samples](https://flutter.dev/docs/cookbook)

For help getting started with Flutter, view our
[online documentation](https://flutter.dev/docs), which offers tutorials,
samples, guidance on mobile development, and a full API reference.

## Flutter原型项目结构

* lib/common   公共库，包括全局状态定义
* lib/model    数据实体定义
* lib/pages    页面
* lib/service  数据访问处理逻辑
* lib/widget   组件库
  
* pubspec.yaml Flutter项目主配置文件

* ios/Runner/Info.plist IOS项目主配置文件

* android/app/src/main/AndroidManifest.xml Android项目主配置文件
* android/app/android_key.keystore         Android项目签名证书储存文件
* android/app/build.gradle                 Android项目构建配置文件
* android/build.gradle                     Android项目构建仓库配置文件
* android/proguard-rules.pro               Android项目混淆配置文件

Android证书储存文件生成命令如下，注意按照实际情况修改参数

> keytool -genkey -v -keystore android_key.keystore -alias ctjt_flutter -keyalg RSA -keysize 2048 -validity 10000

> keytool -importkeystore -srckeystore android_key.keystore -destkeystore android_key.keystore -deststoretype pkcs12
