class VersionRes {
  VersionResBody? body;
  int? status;
  String? msg;

  VersionRes({this.body, this.status, this.msg});

  VersionRes.fromJson(Map<String, dynamic> json) {
    body = json['body'] != null ? new VersionResBody.fromJson(json['body']) : null;
    status = json['status'];
    msg = json['msg'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    if (this.body != null) {
      data['body'] = this.body!.toJson();
    }
    data['status'] = this.status;
    data['msg'] = this.msg;
    return data;
  }
}

class VersionResBody {
  String? id;
  String? createdDate;
  int? channelType;
  String? url;
  String? instructions;
  String? md5;
  String? targetVersion;
  String? lastVersion;
  int? isStrongUpdate;
  String? lastTime;
  int? status;

  VersionResBody(
      {this.id,
        this.createdDate,
        this.channelType,
        this.url,
        this.instructions,
        this.md5,
        this.targetVersion,
        this.lastVersion,
        this.isStrongUpdate,
        this.lastTime,
        this.status});

  VersionResBody.fromJson(Map<String, dynamic> json) {
    id = json['id'];
    createdDate = json['createdDate'];
    channelType = json['channelType'];
    url = json['url'];
    instructions = json['instructions'];
    md5 = json['md5'];
    targetVersion = json['targetVersion'];
    lastVersion = json['lastVersion'];
    isStrongUpdate = json['isStrongUpdate'];
    lastTime = json['lastTime'];
    status = json['status'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = new Map<String, dynamic>();
    data['id'] = this.id;
    data['createdDate'] = this.createdDate;
    data['channelType'] = this.channelType;
    data['url'] = this.url;
    data['instructions'] = this.instructions;
    data['md5'] = this.md5;
    data['targetVersion'] = this.targetVersion;
    data['lastVersion'] = this.lastVersion;
    data['isStrongUpdate'] = this.isStrongUpdate;
    data['lastTime'] = this.lastTime;
    data['status'] = this.status;
    return data;
  }
}
