import 'package:ctjt_flutter/common/styles.dart';
import 'package:ctjt_flutter/widget/button.dart';
import 'package:ctjt_flutter/widget/title.dart';
import 'package:flutter/material.dart';

// 呼叫测试
class RemoteCallPage extends StatefulWidget {
  RemoteCallPage({Key? key}) : super(key: key);

  @override
  _RemoteCallPageState createState() => _RemoteCallPageState();
}

class _RemoteCallPageState extends State<RemoteCallPage> {
  final _formKey = GlobalKey<FormState>();

  @override
  Widget build(BuildContext context) {
    return Form(
      key: _formKey,
      child: Scaffold(
        backgroundColor: Colors.white,
        appBar: PageHead(),
        body: Container(
          padding: Styles.primaryPadding,
          child: BigSButton(
            text: '测试呼叫',
            onPressed: () async {
              Navigator.pushNamed(context, '/calling/audioContact');
            },
          ),
        ),
      ),
    );
  }
}
